package intrinsic.mx.resources;

public interface IResourceManager extends intrinsic.flash.events.IEventDispatcher {

	/** Accessors */
//	public intrinsic.Array localeChain;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public intrinsic.Array getLocales();
public double getNumber(String arg0, String arg1);
public double getNumber(String arg0, String arg1, String arg2);
public void removeResourceBundlesForLocale(String arg0);
public int getUint(String arg0, String arg1);
public int getUint(String arg0, String arg1, String arg2);
public intrinsic.mx.resources.IResourceBundle getResourceBundle(String arg0, String arg1);
public intrinsic.Array getBundleNamesForLocale(String arg0);
public intrinsic.Array getStringArray(String arg0, String arg1);
public intrinsic.Array getStringArray(String arg0, String arg1, String arg2);
public void addResourceBundle(intrinsic.mx.resources.IResourceBundle arg0);
public intrinsic.flash.events.IEventDispatcher loadResourceModule(String arg0);
public intrinsic.flash.events.IEventDispatcher loadResourceModule(String arg0, boolean arg1);
public intrinsic.flash.events.IEventDispatcher loadResourceModule(String arg0, boolean arg1, intrinsic.flash.system.ApplicationDomain arg2);
public intrinsic.flash.events.IEventDispatcher loadResourceModule(String arg0, boolean arg1, intrinsic.flash.system.ApplicationDomain arg2, intrinsic.flash.system.SecurityDomain arg3);
public Object getObject(String arg0, String arg1);
public Object getObject(String arg0, String arg1, String arg2);
public void removeResourceBundle(String arg0, String arg1);
public boolean getBoolean(String arg0, String arg1);
public boolean getBoolean(String arg0, String arg1, String arg2);
public int getInt(String arg0, String arg1);
public int getInt(String arg0, String arg1, String arg2);
public intrinsic.Class getClass(String arg0, String arg1);
public intrinsic.Class getClass(String arg0, String arg1, String arg2);
public void unloadResourceModule(String arg0);
public void unloadResourceModule(String arg0, boolean arg1);
public intrinsic.mx.resources.IResourceBundle findResourceBundleWithResource(String arg0, String arg1);
public String getString(String arg0, String arg1);
public String getString(String arg0, String arg1, intrinsic.Array arg2);
public String getString(String arg0, String arg1, intrinsic.Array arg2, String arg3);
public void update();

}
